Skip to main content
GET
/
api
/
team-org-assignments
/
{id}
Get TeamOrgAssignment by ID
curl --request GET \
  --url https://platform.kodexa.ai/api/team-org-assignments/{id} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://platform.kodexa.ai/api/team-org-assignments/{id}"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://platform.kodexa.ai/api/team-org-assignments/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "changeSequence": 123,
  "createdOn": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "organization": {
    "archived": true,
    "authGroupLink": {
      "authGroup": "<string>"
    },
    "changeSequence": 123,
    "createdOn": "2023-11-07T05:31:56Z",
    "defaultToPrivateTemplates": true,
    "description": "Document processing organization for Acme Corp.",
    "enterpriseOrganization": true,
    "features": {},
    "hasImage": true,
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "memory": {
      "orderedDashboards": [
        "<string>"
      ]
    },
    "name": "Acme Corp",
    "organizationStatus": "ACTIVE",
    "properties": {},
    "publicAccess": true,
    "searchText": "<string>",
    "slug": "acme-corp",
    "stripeCustomerId": "<string>",
    "supportAccess": true,
    "supportAccessExpiresAt": "2023-11-07T05:31:56Z",
    "updatedOn": "2023-11-07T05:31:56Z",
    "uuid": "550e8400e29b41d4a716446655440000"
  },
  "organizationId": "<string>",
  "role": {
    "changeSequence": 123,
    "createdOn": "2023-11-07T05:31:56Z",
    "description": "<string>",
    "displayName": "<string>",
    "id": "<string>",
    "name": "<string>",
    "systemDefined": true,
    "updatedOn": "2023-11-07T05:31:56Z",
    "uuid": "<string>"
  },
  "roleId": "<string>",
  "team": {
    "changeSequence": 123,
    "createdOn": "2023-11-07T05:31:56Z",
    "description": "<string>",
    "id": "<string>",
    "name": "<string>",
    "organization": {
      "archived": true,
      "authGroupLink": {
        "authGroup": "<string>"
      },
      "changeSequence": 123,
      "createdOn": "2023-11-07T05:31:56Z",
      "defaultToPrivateTemplates": true,
      "description": "Document processing organization for Acme Corp.",
      "enterpriseOrganization": true,
      "features": {},
      "hasImage": true,
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "memory": {
        "orderedDashboards": [
          "<string>"
        ]
      },
      "name": "Acme Corp",
      "organizationStatus": "ACTIVE",
      "properties": {},
      "publicAccess": true,
      "searchText": "<string>",
      "slug": "acme-corp",
      "stripeCustomerId": "<string>",
      "supportAccess": true,
      "supportAccessExpiresAt": "2023-11-07T05:31:56Z",
      "updatedOn": "2023-11-07T05:31:56Z",
      "uuid": "550e8400e29b41d4a716446655440000"
    },
    "organizationId": "<string>",
    "searchText": "<string>",
    "slug": "<string>",
    "updatedOn": "2023-11-07T05:31:56Z",
    "uuid": "<string>"
  },
  "teamId": "<string>",
  "updatedOn": "2023-11-07T05:31:56Z",
  "uuid": "<string>"
}

Authorizations

x-api-key
string
header
required

API key for authentication. Create one from the Kodexa platform UI under Settings > Access Tokens.

Path Parameters

id
string<uuid>
required

Unique identifier (UUID) of the resource.

Response

The TeamOrgAssignment

changeSequence
integer<int32>
createdOn
string<date-time>
id
string
organization
object | null

An organization is the top-level tenant in Kodexa. All projects, stores, and resources belong to an organization.

organizationId
string
role
object | null
roleId
string
team
object | null

A team groups users together for collaborative access control within projects.

teamId
string
updatedOn
string<date-time>
uuid
string